clang 8.0.0

Static Public Member Functions | List of all members
clang::serialization::UnsafeQualTypeDenseMapInfo Struct Reference

A structure for putting "fast"-unqualified QualTypes into a DenseMap. More...

`#include "clang/Serialization/ASTBitCodes.h"`

## Static Public Member Functions
static bool | isEqual (QualType A, QualType B)
static QualType | getEmptyKey ()
static QualType | getTombstoneKey ()
static unsigned | getHashValue (QualType T)

## Detailed Description

A structure for putting "fast"-unqualified QualTypes into a DenseMap.

This uses the standard pointer hash function.

Definition at line 115 of file ASTBitCodes.h.

## Member Function Documentation

## ◆ getEmptyKey()

static QualType clang::serialization::UnsafeQualTypeDenseMapInfo::getEmptyKey | ( |  | ) |
| inline static

Definition at line 118 of file ASTBitCodes.h.

References clang::QualType::getFromOpaquePtr().

## ◆ getHashValue()

static unsigned clang::serialization::UnsafeQualTypeDenseMapInfo::getHashValue | ( | QualType | T | ) |
| inline static

Definition at line 126 of file ASTBitCodes.h.

References clang::QualType::getAsOpaquePtr(), clang::QualType::getLocalFastQualifiers(), and v.

## ◆ getTombstoneKey()

static QualType clang::serialization::UnsafeQualTypeDenseMapInfo::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 122 of file ASTBitCodes.h.

References clang::QualType::getFromOpaquePtr().

## ◆ isEqual()

static bool clang::serialization::UnsafeQualTypeDenseMapInfo::isEqual | ( | QualType | A,
|  | QualType | B
| ) |  |
| inline static

Definition at line 116 of file ASTBitCodes.h.

The documentation for this struct was generated from the following file:

- include/clang/Serialization/ASTBitCodes.h